%global pypi_name opcodes
%global pypi_version 0.3.14
# No tags
%global commit0 b606dded8508b3f0e2deb2a663ceda8467f2566d
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %autorelease
Summary:        Database of Processor Instructions/Opcodes

License:        BSD-2-Clause
URL:            https://github.com/Maratyszcza/Opcodes
Source0:        %{url}/archive/%{commit0}/%{pypi_name}-%{shortcommit0}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Opcodes Project The goal of this project is to document instruction sets in a
format convenient for tools development.

%package -n     python3-%{pypi_name}
Summary:        Database of Processor Instructions/Opcodes

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Opcodes Project The goal of this project is to document instruction sets in a
format convenient for tools development.

%prep
%autosetup -n Opcodes-%{commit0}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
%autochangelog

